Loading...
Searching...
No Matches
zero.c File Reference

GIS Library - Zeroing functions. More...

`#include <string.h>`
`#include <grass/gis.h>`
Include dependency graph for zero.c:

Go to the source code of this file.

## Functions

void | G_zero (void *buf, int i)
| Zero out a buffer, buf, of length i.

## Detailed Description

GIS Library - Zeroing functions.

(C) 2001-2009 by the GRASS Development Team

This program is free software under the GNU General Public License (>=v2). Read the file COPYING that comes with GRASS for details.

Author
  Original author CERL

Definition in file zero.c.

## Function Documentation

## G_zero()

void G_zero | ( | void * | buf,
|  | int | i )

Zero out a buffer, buf, of length i.

Parameters

  [out] | buf |
  | i | number of bytes to be zeroed

Definition at line 23 of file zero.c.

Referenced by G_create_key_value(), G_define_flag(), G_define_module(), G_define_option(), G_get_element_window(), gp_get_new_site(), Gp_load_sites(), Gp_load_sites_thematic(), GP_set_style_thematic(), Gs_build_256lookup(), gv_get_new_vect(), Gv_load_vect_thematic(), GV_set_style_thematic(), and gvl_init_vol().